## katarakt 0.0+git2012.10.29

=== Makefile ===
#############################################################################
# Makefile for building: katarakt
# Generated by qmake (2.01a) (Qt 4.8.2) on: Sun Oct 28 14:09:50 2012
# Project:  katarakt.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile katarakt.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/glibc-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-kfreebsd-gnu -lpoppler-qt4 -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		layout.cpp \
		viewer.cpp \
		canvas.cpp \
		resourcemanager.cpp \
		grid.cpp \
		search.cpp \
		gotoline.cpp \
		config.cpp moc_viewer.cpp \
		moc_canvas.cpp \
		moc_resourcemanager.cpp \
		moc_search.cpp \
		moc_gotoline.cpp
OBJECTS       = main.o \
		layout.o \
		viewer.o \
		canvas.o \
		resourcemanager.o \
		grid.o \
		search.o \
		gotoline.o \
		config.o \
		moc_viewer.o \
		moc_canvas.o \
		moc_resourcemanager.o \
		moc_search.o \
		moc_gotoline.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		katarakt.pro
QMAKE_TARGET  = katarakt
DESTDIR       = 
TARGET        = katarakt

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: katarakt.pro  /usr/share/qt4/mkspecs/glibc-g++/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-kfreebsd-gnu/libQtGui.prl \
		/usr/lib/x86_64-kfreebsd-gnu/libQtCore.prl
	$(QMAKE) -o Makefile katarakt.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-kfreebsd-gnu/libQtGui.prl:
/usr/lib/x86_64-kfreebsd-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile katarakt.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/katarakt1.0.0 || $(MKDIR) .tmp/katarakt1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/katarakt1.0.0/ && $(COPY_FILE) --parents layout.h viewer.h canvas.h resourcemanager.h grid.h search.h gotoline.h config.h .tmp/katarakt1.0.0/ && $(COPY_FILE) --parents main.cpp layout.cpp viewer.cpp canvas.cpp resourcemanager.cpp grid.cpp search.cpp gotoline.cpp config.cpp .tmp/katarakt1.0.0/ && (cd `dirname .tmp/katarakt1.0.0` && $(TAR) katarakt1.0.0.tar katarakt1.0.0 && $(COMPRESS) katarakt1.0.0.tar) && $(MOVE) `dirname .tmp/katarakt1.0.0`/katarakt1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/katarakt1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_viewer.cpp moc_canvas.cpp moc_resourcemanager.cpp moc_search.cpp moc_gotoline.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_viewer.cpp moc_canvas.cpp moc_resourcemanager.cpp moc_search.cpp moc_gotoline.cpp
moc_viewer.cpp: viewer.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) viewer.h -o moc_viewer.cpp

moc_canvas.cpp: canvas.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) canvas.h -o moc_canvas.cpp

moc_resourcemanager.cpp: resourcemanager.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) resourcemanager.h -o moc_resourcemanager.cpp

moc_search.cpp: search.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) search.h -o moc_search.cpp

moc_gotoline.cpp: gotoline.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) gotoline.h -o moc_gotoline.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp resourcemanager.h \
		viewer.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

layout.o: layout.cpp layout.h \
		resourcemanager.h \
		grid.h \
		search.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o layout.o layout.cpp

viewer.o: viewer.cpp viewer.h \
		resourcemanager.h \
		canvas.h \
		search.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o viewer.o viewer.cpp

canvas.o: canvas.cpp canvas.h \
		viewer.h \
		layout.h \
		resourcemanager.h \
		search.h \
		gotoline.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o canvas.o canvas.cpp

resourcemanager.o: resourcemanager.cpp resourcemanager.h \
		canvas.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o resourcemanager.o resourcemanager.cpp

grid.o: grid.cpp grid.h \
		resourcemanager.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o grid.o grid.cpp

search.o: search.cpp search.h \
		canvas.h \
		viewer.h \
		layout.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o search.o search.cpp

gotoline.o: gotoline.cpp gotoline.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gotoline.o gotoline.cpp

config.o: config.cpp config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o config.o config.cpp

moc_viewer.o: moc_viewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_viewer.o moc_viewer.cpp

moc_canvas.o: moc_canvas.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_canvas.o moc_canvas.cpp

moc_resourcemanager.o: moc_resourcemanager.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_resourcemanager.o moc_resourcemanager.cpp

moc_search.o: moc_search.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_search.o moc_search.cpp

moc_gotoline.o: moc_gotoline.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gotoline.o moc_gotoline.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== debian/changelog ===
katarakt (0.0+git2012.10.29-1) unstable; urgency=low

  * New upstream snapshot (Closes: #691753)

 -- Christoph Egger <christoph@debian.org>  Mon, 29 Oct 2012 09:34:00 -0700

katarakt (0.0+git2012.10.28-1) unstable; urgency=low

  * New upstream snapshot
  * Remove Homepage, Correct Vcs-* (Closes: #690939)

 -- Christoph Egger <christoph@debian.org>  Sun, 28 Oct 2012 13:06:57 -0700

katarakt (0.0+git2012.08.13-1) unstable; urgency=low

  * Initial release.

 -- Christoph Egger <christoph@debian.org>  Tue, 26 Jun 2012 19:41:59 +0200

## katarakt 0.0+git2013.04.06

=== debian/changelog ===
katarakt (0.0+git2013.04.06-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Sat, 06 Apr 2013 17:31:35 +0200

=== debian/control ===
Source: katarakt
Section: utils
Priority: optional
Maintainer: Christoph Egger <christoph@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 qt4-qmake,
 libqt4-dev,
 libpoppler-qt4-dev (>> 0.18),
 asciidoc,
 libxml2-utils,
 docbook-xml,
 docbook-xsl,
 xsltproc
Standards-Version: 3.9.3
Homepage: http://wwwcip.cs.fau.de/~go18gomu/katarakt/
Vcs-Git: git://anonscm.debian.org/collab-maint/katarakt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/katarakt.git;a=summary

Package: katarakt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: simple PDF viewer with two layouts
 It's a PDF viewer. It views PDFs.
 .
 There are currently two layouts. The presentation layout is very
 simple and only supports scrolling on a per page basis. As the name
 suggests the current page is displayed in the center and zoomed to
 fit the window. It is active by default.
 .
 The grid layout is much more advanced and offers continuous (smooth,
 per pixel) scrolling, zooming and adjusting the column count. Pages
 keep their correct relative size and are shown in a grid.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel $@

override_dh_auto_install:
	install -m 755 katarakt $(CURDIR)/debian/katarakt/usr/bin/

override_dh_auto_build:
	dh_auto_build --parallel
	a2x -f manpage doc/katarakt.txt

## katarakt 0.0+git2014.05.07

=== debian/changelog ===
katarakt (0.0+git2014.05.07-1) unstable; urgency=medium

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Thu, 08 May 2014 15:32:26 +0200

katarakt (0.0+git2013.05.12-1) unstable; urgency=low

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Fri, 14 Jun 2013 14:02:50 +0200

## katarakt 0.0+git2014.09.11

=== debian/changelog ===
katarakt (0.0+git2014.09.11-1) unstable; urgency=medium

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Wed, 17 Sep 2014 18:51:59 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Christoph Egger <christoph@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9~),
  qt4-qmake,
  libqt4-dev,
  libpoppler-qt4-dev (>> 0.18),
@@ -10,8 +10,9 @@
  libxml2-utils,
  docbook-xml,
  docbook-xsl,
- xsltproc
-Standards-Version: 3.9.3
+ xsltproc,
+ pkg-config
+Standards-Version: 3.9.5
 Homepage: http://wwwcip.cs.fau.de/~go18gomu/katarakt/
 Vcs-Git: git://anonscm.debian.org/collab-maint/katarakt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/katarakt.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh --parallel $@
+	dh $@ --parallel
 
 override_dh_auto_install:
 	install -m 755 katarakt $(CURDIR)/debian/katarakt/usr/bin/

## katarakt 0.0+git2015.06.24

=== debian/changelog ===
katarakt (0.0+git2015.06.24-1) unstable; urgency=medium

  * New upstream snapshot

 -- Christoph Egger <christoph@debian.org>  Wed, 24 Jun 2015 13:43:56 +0200

## katarakt 0.1

=== debian/changelog ===
katarakt (0.1-3) unstable; urgency=medium

  * Fix build failures introduced with last upload

 -- Christoph Egger <christoph@debian.org>  Sun, 06 Dec 2015 14:41:31 +0100

katarakt (0.1-2) unstable; urgency=medium

  * enable full hardening
  * Make timestamp in the manpage match timestamp in debian/changelog

 -- Christoph Egger <christoph@debian.org>  Sat, 05 Dec 2015 14:46:58 +0100

katarakt (0.1-1) unstable; urgency=medium

  * First upstream release
  * Add watch-file
  * Add upstream signing-key
  * Update standards-version, no changes

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Nov 2015 11:18:34 +0100

katarakt (0.0+git2015.10.09-1) unstable; urgency=medium

  * Add mailcap entry (Closes: #765885)
  * New upstream version

 -- Christoph Egger <christoph@debian.org>  Thu, 22 Oct 2015 20:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,13 @@
  libqt4-dev,
  libpoppler-qt4-dev (>> 0.18),
  asciidoc,
+ faketime,
  libxml2-utils,
  docbook-xml,
  docbook-xsl,
  xsltproc,
  pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://wwwcip.cs.fau.de/~go18gomu/katarakt/
 Vcs-Git: git://anonscm.debian.org/collab-maint/katarakt.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/katarakt.git;a=summary

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export SOURCE_DATE_RFC2822 = $(shell dpkg-parsechangelog -SDate)

%:
	dh $@ --parallel

override_dh_auto_install:
	install -m 755 katarakt $(CURDIR)/debian/katarakt/usr/bin/

override_dh_auto_build:
	dh_auto_build --parallel
	if faketime 'today' true ; then \
	  faketime "$(SOURCE_DATE_RFC2822)" a2x -f manpage doc/katarakt.txt ; \
	else  \
	  a2x -f manpage doc/katarakt.txt ; \
	fi

## katarakt 0.2

=== debian/changelog ===
katarakt (0.2-2) unstable; urgency=medium

  [ Christoph Egger ]
  * Bump standards version to 4.1.0
  * Update URLs
  * USE SOURCE_DATE_EPOCH in debian/rules
  * Use Rules-Requires-Root

  [ Simon Ruderich ]
  * Update to Qt 5
  * Update to compat 10

 -- Christoph Egger <christoph@debian.org>  Tue, 31 Oct 2017 11:54:02 +0100

katarakt (0.2-1) unstable; urgency=medium

  * New upstream version
  * Disable kfreebsd inotify patch -- never really worked and is
    conflicting now

 -- Christoph Egger <christoph@debian.org>  Sun, 01 Oct 2017 15:13:50 +0200

katarakt (0.1-4) unstable; urgency=medium

  * Add inotify support on kfreebsd-any

 -- Christoph Egger <christoph@debian.org>  Tue, 10 May 2016 11:43:22 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

%:
	dh $@

override_dh_auto_install:
	install -m 755 katarakt $(CURDIR)/debian/katarakt/usr/bin/

override_dh_auto_build:
	dh_auto_build --parallel
	if faketime 'today' true ; then \
	  faketime "@$(SOURCE_DATE_EPOCH)" a2x -f manpage doc/katarakt.txt ; \
	else  \
	  a2x -f manpage doc/katarakt.txt ; \
	fi

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.asc/" \
https://wwwcip.cs.fau.de/~go18gomu/katarakt/tarballs/katarakt-(.+)\.tar\.xz
